<section class="card flex justify-content-center align-items-center">
  <form [formGroup]="formLogin">
    <h1 class="text-center">Iniciar sesion</h1>

    <div class="row mt-4">

      <div class="col-12">
        <label for="labelcorreo" >Correo Electronico</label>
        <input type="email" class="form-control" id="email" pInputText formControlName="email"/>
      </div>

      <div class="col-12">
        <label for="InputPassword">Contraseña</label>
        <input type="password" class="form-control" id="password" formControlName="password" pPassword [feedback]= "false" />
        <div *ngIf="formLogin.get('password')?.hasError('minlength')">La contraseña debe tener al menos 8 caracteres.</div> 
        <div *ngIf="formLogin.get('password')?.hasError('pattern')">La contraseña debe contener al menos una letra mayúscula, una letra minúscula y un número.</div>

      </div>

      <div class="col-12 text-center">
        <button pButton class="p-button-success" (click)="iniciarsesion()"> Iniciar Sesion</button>
      </div>
      
    </div>


  </form>


</section>



